Subject: Re: [PATCH v2 1/2] submodules: always use a relative path to gitdir

From: Jens Lehmann <[email-masked]>
Date: Thu, 09 Feb 2012 21:13:13 +0100

Am 09.02.2012 20:40, schrieb Junio C Hamano:
> Jens Lehmann <[email-masked]> writes:
> 
>> Since recently a submodule with name <name> has its git directory in the
> 
> I understand that "recently" refers to efc5fb6a77 and this is potentially
> a maint material for v1.7.8.X; am I correct?

That's correct.

>> The first version was whitespace damaged, please use this one instead.
> 
> Thanks. 
> 
> When applied to v1.7.8.x maintenance track, this failed the first step in
> t5526, but with the earlier jl/submodule-re-add topic everything seems to
> pass just fine.

Ah, I only tested these patches on current master. But you are right,
this belongs on top of jl/submodule-re-add for maint.